"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var facebook_1 = require("./media/facebook");
var Broadcast = /** @class */ (function () {
    function Broadcast(bot) {
        this.bot = bot;
    }
    Broadcast.prototype.send = function (body) {
        switch (body.platform) {
            case 'facebook': {
                var facebook = new facebook_1.Facebook(this.bot);
                return facebook.upload(body.attachment);
            }
        }
        return Promise.resolve({});
    };
    return Broadcast;
}());
exports.Broadcast = Broadcast;
